Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: nvidia 180 driver doesn't work on ubuntu 8.10

  1. #1
    Join Date
    Feb 2007
    Posts
    21

    Default nvidia 180 driver doesn't work on ubuntu 8.10

    I've just bought a nvidia 6800 AGP and X now won't start anymore. It tells 'failed to load the NVIDIA kernel module' after several X launching attempts.
    When I do 'sudo modprobe nvidia' it tells 'error inserting (blah blah) : no such device'. But lspci reports that I do have a nvidia 6800 on 01:00.0.

    I've seen a lot of recent complains like mine, but still no solution...

    Anyone can help ?

    Thank you

  2. #2
    Join Date
    Aug 2007
    Posts
    6,677

    Default

    sudo rm /etc/X11/xorg.conf*
    sudo dpkg-reconfigure -phigh xserver-xorg

    then run this script (in text mode ctrl-alt-f1):

    http://kanotix.com/files/install-nvidia-debian.sh

    sudo sh install-nvidia-debian.sh

  3. #3
    Join Date
    Feb 2007
    Posts
    21

    Default lot of bugs

    First thank you for your help.

    Still, it doesn't work. Here's the output :
    olivier@olivier-desktop:~$ sudo sh install-nvidia-debian.sh
    Error: No KANOTIX found. Do not ask for support!
    grep: /etc/X11/XF86Config-4: Aucun fichier ou dossier de ce type
    Warning: /etc/X11/XF86Config-4 needs some modifications. Trying now.
    grep: /etc/X11/XF86Config-4: Aucun fichier ou dossier de ce type
    Warning: Adding "Configured Video Device" to "Screen" Section.
    Can't open /etc/X11/XF86Config-4: Aucun fichier ou dossier de ce type.
    cp: ne peut évaluer `/etc/X11/XF86Config-4': Aucun fichier ou dossier de ce type
    patch: **** Can't find file /etc/X11/XF86Config-4 : No such file or directory
    Error: Unable to patch. Please manually fix file!
    mv: ne peut évaluer `/etc/X11/XF86Config-4.pure': Aucun fichier ou dossier de ce type
    What is this 'kanotix' stuff that I lack ??

    Thanx

  4. #4
    Join Date
    Aug 2007
    Posts
    6,677

    Default

    Why on earth do you have got a XF86Config-4? Delete it.

  5. #5
    Join Date
    Feb 2007
    Posts
    21

    Default

    I actually do not have a XF86Config-4... !

    I don't know what this script asks for. Nor what '/etc/kanotix-version' stands for.

    Any idea ?

  6. #6
    Join Date
    Aug 2007
    Posts
    6,677

    Default

    Well first it checks for a xorg.conf. Maybe you did not use the

    sudo dpkg-reconfigure -phigh xserver-xorg

    which creates one.

  7. #7
    Join Date
    Feb 2007
    Posts
    21

    Default

    Amazing script... ! Unfortunately, the result is the same :s Here's a sample of my Xorg.0.log :
    (II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
    (II) NVIDIA(0): enabled.
    (EE) NVIDIA(0): Failed to load the NVIDIA kernel module. Please check your
    (EE) NVIDIA(0): system's kernel log for additional error messages.
    (EE) NVIDIA(0): *** Aborting ***
    (II) UnloadModule: "nvidia"
    (II) UnloadModule: "wfb"
    (II) UnloadModule: "fb"
    (EE) Screen(s) found, but none have a usable configuration.

  8. #8
    Join Date
    Aug 2007
    Posts
    6,677

    Default

    Your kernel must be not installed correctly, did you compile it yourself?

  9. #9
    Join Date
    Feb 2007
    Posts
    21

    Default

    No, it is an Ubuntu 8.10, nothing exotic, just updates and security patches. It was still working fine two weeks ago. But it was a Quadro then, not the same graphic card. I've just changed to this card hoping it would solve my display problems.

  10. #10
    Join Date
    Feb 2007
    Posts
    21

    Default up

    still no more ideas ?

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •